# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
loader: taskgraph.loader.transform:loader

transforms:
    - gecko_taskgraph.transforms.release:run_on_releases
    - gecko_taskgraph.transforms.update_verify_config:transforms
    - gecko_taskgraph.transforms.job:transforms
    - gecko_taskgraph.transforms.task:transforms

task-defaults:
    name: update-verify-config-next
    run-on-projects: []  # to make sure this never runs as part of CI
    run-on-releases: [esr128]
    shipping-phase: promote
    worker-type: b-linux-gcp
    worker:
        docker-image:
            in-tree: "update-verify"
        max-run-time: 3600
        artifacts:
            - name: public/build/update-verify.cfg
              path: /builds/worker/checkouts/gecko/update-verify.cfg
              type: file
    run:
        sparse-profile: mozharness
    treeherder:
        symbol: UVCnext
        kind: test
        tier: 1
    extra:
        app-name: browser
        branch-prefix: mozilla
        last-linux-bz2-version: "134.99.0"  # Bug 1710599: Last version to use bz2 compression on Linux builds
        archive-prefix:
            by-release-level:
                staging: "http://ftp.stage.mozaws.net/pub"
                production: "https://archive.mozilla.org/pub"
        previous-archive-prefix:
            by-release-level:
                staging: "https://archive.mozilla.org/pub"
                production: null
        aus-server:
            by-release-level:
                staging: "https://stage.balrog.nonprod.cloudops.mozgcp.net"
                production: "https://aus5.mozilla.org"
        override-certs:
            by-release-level:
                staging: dep
                production: null
        updater-platform: linux-x86_64
        product: firefox
        channel: "esr-localtest-next"
        include-version: esr128-next
        last-watershed: "68.0esr"

tasks:
    firefox-next-linux:
        shipping-product: firefox
        treeherder:
            platform: linux32-shippable/opt
        attributes:
            build_platform: linux-shippable
        extra:
            platform: linux-i686
    firefox-next-linux64:
        shipping-product: firefox
        treeherder:
            platform: linux64-shippable/opt
        attributes:
            build_platform: linux64-shippable
        extra:
            platform: linux-x86_64
    firefox-next-macosx64:
        shipping-product: firefox
        treeherder:
            platform: osx-shippable/opt
        attributes:
            build_platform: macosx64-shippable
        extra:
            platform: mac
    firefox-next-win32:
        shipping-product: firefox
        treeherder:
            platform: windows2012-32-shippable/opt
        attributes:
            build_platform: win32-shippable
        extra:
            platform: win32
    firefox-next-win64:
        shipping-product: firefox
        treeherder:
            platform: windows2012-64-shippable/opt
        attributes:
            build_platform: win64-shippable
        extra:
            platform: win64
